%define    debug_package %{nil}
%define asl 1
%define cvs rc2

Summary: Security module for the Apache HTTP Server
Name: tortix-waf
Version: 2.6.4
Release: 0.2.art
License: Apache
URL: http://www.modsecurity.org/
Group: System Environment/Daemons
Source: http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
#Source: http://www.modsecurity.org/download/modsecurity-apache_%{version}-%{cvs}.tar.gz
Source1: 00_mod_security.conf
Source2: tortix_waf.conf
Patch0: asl3-logging.patch
Patch1: waf-label.patch
Patch2: modsecurity-2.6.4-collections-logging.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tortixd
#Requires: httpd httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
#Requires: asl
BuildRequires: tortixd-devel libxml2-devel pcre-devel libtool pkgconfig curl-devel 
BuildRequires: curl
Obsoletes: asl-mod_security
Provides: asl-mod_security

Requires: libxml2 pcre lua
#%if 0%{asl}
#Requires: asl-stream-client
#%endif

%if 0%{!?fc4}
BuildRequires: lua-devel
%endif


%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from attacks.

%prep

%setup -n modsecurity-apache_%{version}
#%setup -n modsecurity-apache_%{version}-%{cvs}

%if 0%{asl}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%endif



%build
%define  _aslhome    /var/asl
%define  _sysconfdir /var/asl/etc/
%define  _prefix     /var/asl/usr/
%define  _bindir     /var/asl/usr/bin/
%define  _sbindir    /var/asl/usr/sbin/
%define  _includedir /var/asl/usr/include/
%define  _mandir     /var/asl/usr/share/man/
%define  _libdir     /var/asl/usr/lib/
%ifarch x86_64
%define  _libdir     /var/asl/usr/lib64/
%endif

CFLAGS="%{optflags}"
export CFLAGS

%configure \
	--with-apxs=/var/asl/usr/sbin/apxs \
	--disable-pcre-match-limit \
	--disable-pcre-match-limit-recursion

# Legacy from LoadFile
#perl -pi.orig -e 's|LIBDIR|%{_libdir}|;' %{SOURCE1}

make  %{_smp_mflags}

%install
rm -rf %{buildroot}
#mkdir -p %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
install -D -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/00_mod_security.conf
#install -D -m644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/tortix_waf.conf

install -D -m755 apache2/.libs/mod_security2.so %{buildroot}%{_libdir}/httpd/modules/mod_security2.so

%post

if [ ! -d /var/asl/etc/httpd/modsecurity.d ]; then
  ln -s /etc/httpd/modsecurity.d /var/asl/etc/httpd/modsecurity.d
fi


%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc CHANGES LICENSE README.* modsecurity* doc
%{_libdir}/httpd/modules/mod_security2.so
%config %{_sysconfdir}/httpd/conf.d/00_mod_security.conf
#%config /var/asl/etc/httpd/modsecurity.d/tortix_waf.conf




%changelog
* Wed Mar 14 2012 Scott R. Shinn <scott@atomicorp.com> - 2.6.4-1
- Update to 2.6.4

* Fri Feb 10 2012 Scott R. Shinn <scott@atomicorp.com> - 2.6.3-1
- Initial build of asl-mod_security

